> ## Documentation Index
> Fetch the complete documentation index at: https://docs.inop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Find related skills

> Returns a list of skills that are related to the requested skills



## OpenAPI

````yaml POST /skills/related
openapi: 3.1.0
info:
  title: INOP
  description: >-
    INOP API provides a powerful suite of endpoints designed to streamline and
    enhance the candidate screening process using AI-driven insights.
  license:
    name: MIT
    identifier: ''
  version: 1.0.0
servers:
  - url: https://public.api.inop.ai/v1/
security:
  - bearerAuth: []
paths:
  /skills/related:
    post:
      description: Returns a list of skills that are related to the requested skills
      requestBody:
        description: Returns a list of skills that are related to the requested skills
        content:
          application/json:
            schema:
              properties:
                ids:
                  type: array
                  default:
                    - 12bc945b-bafb-4021-9289-928171296ea1
                    - fccf214c-5215-4f30-ac72-73797d785981
                    - 8102bdec-d0da-4c25-bd77-69b5c6151b4f
        required: true
      responses:
        '200':
          description: Retrieved related skills
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    default: true
                  messages:
                    type: string
                    default: List of related skills
                  data:
                    type: array
                    default:
                      - id: 12bc945b-bafb-4021-9289-928171296ea1
                        name: Algorithms
                        type:
                          name: Specialized Skill
                      - id: fccf214c-5215-4f30-ac72-73797d785981
                        name: C# (Programming Language)
                        type:
                          name: Specialized Skill
                      - id: 3a51eea5-feec-47e5-bdf2-b8bca3448f94
                        name: C++ (Programming Language)
                        type:
                          name: Specialized Skill
                      - id: e7821270-163b-44ce-b98d-4e71d1e516ae
                        name: Debugging
                        type:
                          name: Specialized Skill
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````